## ros-rolling-ros-ign-gazebo 0.244.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_gazebo)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(ignition-math6 REQUIRED)
find_package(rclcpp REQUIRED)

# Edifice
if("$ENV{IGNITION_VERSION}" STREQUAL "edifice")
  find_package(ignition-transport10 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

  find_package(ignition-msgs7 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
# Default to Fortress
else()
  find_package(ignition-transport11 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

  find_package(ignition-msgs8 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Fortress")
endif()

ign_find_package(gflags
    REQUIRED
    PKGCONFIG gflags)

add_executable(create src/create.cpp)
ament_target_dependencies(create
  rclcpp
  ignition-math6
)
target_link_libraries(create
  gflags
  ignition-msgs${IGN_MSGS_VER}::core
  ignition-transport${IGN_TRANSPORT_VER}::core
)

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}
)

install(TARGETS
  create
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-ros-ign-gazebo (0.244.1-1focal) focal; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 04 Jan 2022 08:00:00 -0000

ros-rolling-ros-ign-gazebo (0.244.0-1focal) focal; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/osrf/ros_ign/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/osrf/ros_ign/issues/199>)
  * Contributors: Guillaume Doisy, Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Thu, 30 Dec 2021 08:00:00 -0000

ros-rolling-ros-ign-gazebo (0.233.2-1focal) focal; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/osrf/ros_ign/issues/164>)
  * Contributors: Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 20 Jul 2021 07:00:00 -0000

ros-rolling-ros-ign-gazebo (0.233.1-1focal) focal; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/osrf/ros_ign/issues/150>)
  * Edifice support (#140 <https://github.com/osrf/ros_ign/issues/140>)
    Co-authored-by: Alejandro Hernández <mailto:ahcorde@gmail.com>
  * Add topic flag to create robot  (#128 <https://github.com/osrf/ros_ign/issues/128>)
    Now it is possible to run ros_ign_gazebo create specifying a topic as
    source of the robot description
    Add a launch file starting a ignition gazebo world and spawn a sphere in it.
    Additionally a rviz2 interface is loaded to show that also Rviz can load
    the robot description
    The newly created demo introduce a dependency on the robot_state_publisher package
  * Add default value for plugin path in launch script (#125 <https://github.com/osrf/ros_ign/issues/125>)
  * Fix overwriting of plugin path in launch script (#122 <https://github.com/osrf/ros_ign/issues/122>)
    - IGN_GAZEBO_SYSTEM_PLUGIN_PATH was overwritten by LD_LIBRARY_PATH
    - Now it is instead extended by LD_LIBRARY_PATH
    - This allows use of ign_gazebo.launch.py with custom gazebo plugins
  * Changed for loading xml from ROS param(#119 <https://github.com/osrf/ros_ign/issues/119>) (#120 <https://github.com/osrf/ros_ign/issues/120>)
  * ros_ign_gazebo exec depend on ign-gazebo (#110 <https://github.com/osrf/ros_ign/issues/110>)
  * Update releases (#108 <https://github.com/osrf/ros_ign/issues/108>)
  * Add support for Dome (#103 <https://github.com/osrf/ros_ign/issues/103>)
  * Contributors: Andrej Orsula, Louise Poubel, Luca Della Vedova, Valerio Magnago, chama1176

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Fri, 16 Apr 2021 07:00:00 -0000

ros-rolling-ros-ign-gazebo (0.221.1-1focal) focal; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/osrf/ros_ign/issues/102>)
  * Contributors: Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Wed, 19 Aug 2020 07:00:00 -0000

ros-rolling-ros-ign-gazebo (0.221.0-1focal) focal; urgency=high

  * [ros2] Fixed CI - Added Foxy (#89 <https://github.com/osrf/ros_ign/issues/89>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Added ros_ign_gazebo for ros2 (#80 <https://github.com/osrf/ros_ign/issues/80>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Update Dashing docs (#62 <https://github.com/osrf/ros_ign/issues/62>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, chapulina

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-ros-ign-gazebo
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <ahcorde@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, libignition-gazebo6-dev, libignition-math6-dev, pkg-config, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-rclcpp, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros-ign-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgflags-dev, libignition-gazebo6-dev, libignition-math6-dev, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: Tools for using Ignition Gazebo simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ros-ign-gazebo//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ros-ign-gazebo 0.245.0

=== debian/changelog ===
ros-rolling-ros-ign-gazebo (0.245.0-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-rolling-ros-ign-gazebo (0.244.11-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-rolling-ros-ign-gazebo (0.244.10-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-rolling-ros-ign-gazebo (0.244.9-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-rolling-ros-ign-gazebo (0.244.8-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-rolling-ros-ign-gazebo (0.244.7-1jammy) jammy; urgency=high

  * Fix launch substitutions for ign_args (#309 <https://github.com/gazebosim/ros_gz/issues/309>)
    * Fix launch substitutions for ign_args
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Merge branch 'galactic' into ports/galactic_to_ros2
  * Add ROS2 version of Stopwatch (#287 <https://github.com/gazebosim/ros_gz/issues/287>)
  * Add debugger option in launch (#286 <https://github.com/gazebosim/ros_gz/issues/286>)
    * add debugger option in launch
    * remove xterm dependency; rely on x-terminal-emulator from update-alternatives
  * [galactic] Backport: Add std_msgs as dependency of ros_ign_gazebo (#264 <https://github.com/gazebosim/ros_gz/issues/264>)
    Co-authored-by: Kenji Brameld <mailto:kenjibrameld@gmail.com>
  * Contributors: Michael Carroll, andermi

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-rolling-ros-ign-gazebo (0.244.6-1jammy) jammy; urgency=high

  * Restructured directories (#296 <https://github.com/gazebosim/ros_gz/issues/296>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-rolling-ros-ign-gazebo (0.244.5-1jammy) jammy; urgency=high

  * Fix missing msgs include and packages.xml deps (#292 <https://github.com/gazebosim/ros_gz/issues/292>)
    * Fix missing msgs include and packages.xml deps
    * Add additional conditions to support gz sim invocation
    * Fix cpplint
  * Add missing GZ_VERSION ticktocks (#289 <https://github.com/gazebosim/ros_gz/issues/289>)
  * ign -> gz : ros_gz Migration (Shims) (#281 <https://github.com/gazebosim/ros_gz/issues/281>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

=== debian/control ===
Source: ros-rolling-ros-ign-gazebo
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-index-cpp, ros-rolling-ros-gz-sim, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros-ign-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-gz-sim, ros-rolling-ros-workspace
Description: Shim package to redirect to ros_gz_sim.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
